<?php # definimos las 5 variables que contendrán los 5 números 
$n1=0; 
 
 $e1=$e2=0; 
 # buscamos 5 números aleatorios, verificando que no se repitan 
 $pos=1; while(1){ $rand=rand(1,50); $repetido=false; for($i=1;$i<=$pos;$i++) { if(${"n".$i}==$rand){ $repetido=true; } } if($repetido==false) { ${"n".$pos}=$rand; $pos++; if($pos==6){ break; } } } 
 # buscamos 2 números aleatorios para las estrellas, verificando que no se repitan 
 $pos=1; while(1){ $rand=rand(1,12); $repetido=false; for($i=1;$i<=$pos;$i++) { if(${"e".$i}==$rand){ $repetido=true; } } if($repetido==false) { ${"e".$pos}=$rand; $pos++; if($pos==3){ break; } } } 

 # ordenamos las 5 variables con el método burbuja 


 for($i=1;$i<=5;$i++){ for($j=1;$j<=5-$i;$j++){ if(${"n".$j} && ${"n".($j+1)} && ${"n".$j}>${"n".($j+1)}){ $k=${"n".($j+1)}; ${"n".($j+1)}=${"n".$j}; ${"n".$j}=$k; } } } 

 # ordenamos las 2 variables de las estrellas con el método burbuja 


 	for($i=1;$i<=2;$i++){ for($s=1;$s<=2-$i;$s++){ if(${"e".$s} && ${"e".($s+1)} && ${"e".$s}>${"e".($s+1)}){ $l=${"e".($s+1)}; ${"e".($s+1)}=${"e".$s}; ${"e".$s}=$l; } } } 


 	# mostramos el resultado de los números 

 		for($i=1;$i<=5;$i++) { if($i==1){ 
 			echo "<strong>Números:</strong> "; 
 		} 

 			echo ${"n".$i}; if ($i<5){ echo " - "; } } echo "<p>"; 


 			# mostramos el resultado de las estrellas f



 			or($i=1;$i<=2;$i++) { if($i==1){ echo "<strong>Estrellas:</strong> "; } 

 			echo ${"e".$i}; if ($i<2){ echo " - "; } } 

 		echo "</p>"; ?> <p><input type="button" value="Generar números" onclick="location.reload()"/></p>